Package org.eclipse.jface.databinding.preference

# Class PreferencePageSupport

java.lang.Object
org.eclipse.jface.databinding.dialog.DialogPageSupport
org.eclipse.jface.databinding.preference.PreferencePageSupport

public class PreferencePageSupport extends DialogPageSupport
Connects the validation result from the given data binding context to the given preference page, updating the preference page's valid state and its error message accordingly.

Since:
  1.3
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from class org.eclipse.jface.databinding.dialog.DialogPageSupport

`currentStatus, currentStatusStale`

## Method Summary

Modifier and Type
Method
Description
`static PreferencePageSupport`
`create(PreferencePage preferencePage, DataBindingContext dbc)`
Connect the validation result from the given data binding context to the given preference page.
`protected void`
`handleStatusChanged()`

### Methods inherited from class org.eclipse.jface.databinding.dialog.DialogPageSupport

`create, dispose, getDialogPage, handleStatusException, handleUIChanged, init, setValidationMessageProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static PreferencePageSupport create(PreferencePage preferencePage, DataBindingContext dbc)
Connect the validation result from the given data binding context to the given preference page. Upon creation, the preference page support will use the context's validation result to determine whether the page is valid. The page's error message will not be set at this time ensuring that the preference page does not show an error right away. Upon any validation result change, `PreferencePage.setValid(boolean)` will be called reflecting the new validation result, and the preference page's error message will be updated according to the current validation result.

Parameters:
  `preferencePage` - the preference page to show validation errors on
  `dbc` - the binding context to connect
Returns:
  an instance of PreferencePageSupport

### handleStatusChanged

protected void handleStatusChanged()

Overrides:
  `handleStatusChanged` in class `DialogPageSupport`